org.jbpm.services.task.lifecycle.listeners

## Interface TaskLifeCycleEventListener

- All Superinterfaces:
    EventListener, org.kie.api.task.TaskLifeCycleEventListener

      public interface TaskLifeCycleEventListener
      extends org.kie.api.task.TaskLifeCycleEventListener

  Methods of this interface will be promoted to main (public) TaskLifeCycleEventListener on next major version

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterTaskInputVariableChangedEvent(org.kie.api.task.TaskEvent event, Map<String,Object> variables)`
    `void` | `afterTaskNotificationEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskOutputVariableChangedEvent(org.kie.api.task.TaskEvent event, Map<String,Object> variables)`
    `void` | `afterTaskReassignedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `afterTaskUpdatedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskNotificationEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskReassignedEvent(org.kie.api.task.TaskEvent event)`
    `void` | `beforeTaskUpdatedEvent(org.kie.api.task.TaskEvent event)`

    - ### Methods inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `afterTaskActivatedEvent, afterTaskAddedEvent, afterTaskClaimedEvent, afterTaskCompletedEvent, afterTaskDelegatedEvent, afterTaskExitedEvent, afterTaskFailedEvent, afterTaskForwardedEvent, afterTaskNominatedEvent, afterTaskReleasedEvent, afterTaskResumedEvent, afterTaskSkippedEvent, afterTaskStartedEvent, afterTaskStoppedEvent, afterTaskSuspendedEvent, beforeTaskActivatedEvent, beforeTaskAddedEvent, beforeTaskClaimedEvent, beforeTaskCompletedEvent, beforeTaskDelegatedEvent, beforeTaskExitedEvent, beforeTaskFailedEvent, beforeTaskForwardedEvent, beforeTaskNominatedEvent, beforeTaskReleasedEvent, beforeTaskResumedEvent, beforeTaskSkippedEvent, beforeTaskStartedEvent, beforeTaskStoppedEvent, beforeTaskSuspendedEvent`

- - ### Method Detail

    - #### beforeTaskUpdatedEvent

          void beforeTaskUpdatedEvent(org.kie.api.task.TaskEvent event)

    - #### afterTaskUpdatedEvent

          void afterTaskUpdatedEvent(org.kie.api.task.TaskEvent event)

    - #### beforeTaskReassignedEvent

          void beforeTaskReassignedEvent(org.kie.api.task.TaskEvent event)

    - #### afterTaskReassignedEvent

          void afterTaskReassignedEvent(org.kie.api.task.TaskEvent event)

    - #### beforeTaskNotificationEvent

          void beforeTaskNotificationEvent(org.kie.api.task.TaskEvent event)

    - #### afterTaskNotificationEvent

          void afterTaskNotificationEvent(org.kie.api.task.TaskEvent event)

    - #### afterTaskInputVariableChangedEvent

          void afterTaskInputVariableChangedEvent(org.kie.api.task.TaskEvent event,
                                                  Map<String,Object> variables)

    - #### afterTaskOutputVariableChangedEvent

          void afterTaskOutputVariableChangedEvent(org.kie.api.task.TaskEvent event,
                                                   Map<String,Object> variables)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.